Delete trashed article
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}Trash
Delete trashed article
This API deletes a trashed article for good. It cannot be undone. For CLI sessions, this needs the Manage articles permission.
DELETE
/
trashed_articles
/
{id}
Delete trashed article
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/trashed_articles/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Identifier of the trashed article, as its slug, permalink identifier or UUID. Get it from List trashed articles.
Response
OK - Article deleted
Example:
"thumbs_up"